Subject: Re: bug#13632: 24.3.50; emacsclient: emacs accepts keypress after server-edit before emacsclient exits

From: Lars Ingebrigtsen <[email-masked]>
Date: Mon, 31 May 2021 09:17:15 +0200

Gregor Zattler <[email-masked]> writes:

> I use mutt for emails and emacsclient to edit my emails.  When
> I finished an email I do 
>
> C-X C-S C-X # 
>
> to save the email and exit emacsclient in order to go back to
> mutts compose menu where I hit `y' in order to actually send the
> email.  I'm trained to do so very fast and more often than not
> the `y' ends in some random emacs buffer instead of in mutts
> compose menu.  This is not annoing because I have to hit `y'
> a second time, but because there are many buffers open and I have
> to carefully examine if/which got borked.

(I'm going through old bug reports that unfortunately got no response at
the time.)

I've tried reproducing this in Emacs 28, and I'm unable to.  Are you
still seeing this problem in more recent Emacs versions?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no